Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.transformer
Class QueuedEvents

    java.lang.Object
      org.apache.xalan.transformer.QueuedEvents

public abstract class QueuedEvents
extends java.lang.Object

This class acts as a base for ResultTreeHandler, and keeps queud stack events. In truth, we don't need a stack, so I may change this down the line a bit.

Field Summary
`boolean` | `m_docPending` Queued start element
`boolean` | `m_elemIsEnded` Flag indicating that an event is ended
`boolean` | `m_elemIsPending` Flag indicating that an event is pending.

Constructor Summary
`QueuedEvents()`

Method Summary
`void` | `reset()` Push document event and re-initialize events

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_docPending

    public boolean m_docPending

  Queued start element

### m_elemIsPending

    public boolean m_elemIsPending

  Flag indicating that an event is pending. Public for fast access by ElemForEach.

### m_elemIsEnded

    public boolean m_elemIsEnded

  Flag indicating that an event is ended

Constructor Detail

### QueuedEvents

    public QueuedEvents()

Method Detail

### reset

    public void reset()

  Push document event and re-initialize events

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.